View Issue Details

IDProjectCategoryView StatusLast Update
00031133 - Current Dev ListBugpublic2019-02-05 14:53
ReporterK7ZCZ 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version6.5.0.184 
Target VersionFixed in Version6.5.0.189 
Summary0003113: FT-891 "AGC" setting doesn't show "auto"
DescriptionWhen connected to an FT-891, the "Auto" setting for AGC doesn't show in the drop down correctly.

This is due to the overloading of the response, and the mismatch between the sent commands and the response values. The sent command domain includes only "Auto", but the response status range includes "Auto-Fast", "Auto-Mid", and "Auto-Slow". To fix this problem for this radio, we must first fix 2970
Steps To Reproduce1) Start up Rig Control. Connect to the FT-891.
2) Make sure the "AGC" drop-down is visible
3) Tap the "F" button on the radio to get to the functions menu
4) Repeatedly tap "F" unil the "FUNCTION-2" menu is reached
5) Use the Multi knob to reach the "AGC" setting
6) Press the Multi knob to select the "AGC" setting
7) Use the Multi knob to select the "AUTO" setting

BUG#1) The Rig Control AGC setting doesn't give a setting, just "AGC:"

BUG#2) The "AGC" box in the frequency display shows "AGC:Off".


TagsFT-891, Yaesu
ModuleRig Control
Sub-ModuleRadio Support
Testing Beta Successful

Relationships

related to 0002970 closedK7ZCZ Rig Control: consider enhancing drop-down list buttons for mismatched response groups 

Activities

K7ZCZ

2019-01-31 09:12

manager   ~0007180

fixed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4787

WA9PIE

2019-02-05 14:53

administrator   ~0007266

Validated

Issue History

Date Modified Username Field Change
2019-01-26 18:23 K7ZCZ New Issue
2019-01-26 18:23 K7ZCZ Tag Attached: FT-891
2019-01-26 18:23 K7ZCZ Tag Attached: Yaesu
2019-01-26 18:23 K7ZCZ Relationship added related to 0002970
2019-01-31 09:12 K7ZCZ Assigned To => K7ZCZ
2019-01-31 09:12 K7ZCZ Status new => resolved
2019-01-31 09:12 K7ZCZ Resolution open => fixed
2019-01-31 09:12 K7ZCZ Note Added: 0007180
2019-02-01 18:13 K7ZCZ Fixed in Version => 6.5.0.189
2019-02-05 14:53 WA9PIE Status resolved => closed
2019-02-05 14:53 WA9PIE Description Updated View Revisions
2019-02-05 14:53 WA9PIE Steps to Reproduce Updated View Revisions
2019-02-05 14:53 WA9PIE Testing Not Started => Beta Successful
2019-02-05 14:53 WA9PIE Note Added: 0007266